Subject: Re: Proposed new kernel noncaching memory allocator for the 405gp

From: Ralph Blach <[email-masked]>
Date: Thu, 22 Mar 2001 17:18:15 -0500

Dan,

No, the transmit descriptors in the USB  code are much less than a page.  Look
at ohci-usb.c
Why do a kmalloc?  And what about SCSI and it linked list?  These need bytes and
not whole pages.

Any I'll do it and submitt it .

Chip

Dan Malek wrote:

> Ralph Blach wrote:
>
> > Yes, but these allocate on a page boundry and I was thinking of something a
> > little more granular.
>
> You can only control cache behavior on page boundaries at best, and
> from the few drivers I have looked at, this is exactly what they
> expect.
>
> > Any objections?
>
> I have been listing them in previous messages.
>
>         -- Dan

--
Ralph "Chip" Blach
KF4WBK
Chapel Hill, North Carolina

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/